# Uses of Interface
org.apache.cxf.interceptor.security.callback.CallbackHandlerProvider

Packages that use CallbackHandlerProvider
Package
Description
org.apache.cxf.interceptor.security
org.apache.cxf.interceptor.security.callback

- ## Uses of CallbackHandlerProvider in org.apache.cxf.interceptor.security

  Methods in org.apache.cxf.interceptor.security that return types with arguments of type CallbackHandlerProvider
  Modifier and Type
  Method
  Description
  `List<CallbackHandlerProvider>`
  JAASLoginInterceptor.`getCallbackHandlerProviders()`
  Method parameters in org.apache.cxf.interceptor.security with type arguments of type CallbackHandlerProvider
  Modifier and Type
  Method
  Description
  `void`
  JAASLoginInterceptor.`addCallbackHandlerProviders(List<CallbackHandlerProvider> callbackHandlerProviders2)`
  `void`
  JAASLoginInterceptor.`setCallbackHandlerProviders(List<CallbackHandlerProvider> callbackHandlerProviders)`

- ## Uses of CallbackHandlerProvider in org.apache.cxf.interceptor.security.callback

  Classes in org.apache.cxf.interceptor.security.callback that implement CallbackHandlerProvider
  Modifier and Type
  Class
  Description
  `class`
  `CallbackHandlerProviderAuthPol`
  `class`
  `CallbackHandlerProviderUsernameToken`
  `class`
  `CallbackHandlerTlsCert`